Bug 980123 - (ghc-libffi) Review Request: ghc-libffi - A binding to libffi
Review Request: ghc-libffi - A binding to libffi
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ricky Elrod
Fedora Extras Quality Assurance
Depends On:
Blocks: idris
  Show dependency treegraph
Reported: 2013-07-01 09:14 EDT by Jens Petersen
Modified: 2013-07-16 23:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-libffi-0.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-16 23:05:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
relrod: fedora‑review+
petersen: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-07-01 09:14:03 EDT
Spec URL: http://petersen.fedorapeople.org//ghc-libffi.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-libffi-0.1-1.fc19.src.rpm

A binding to libffi, allowing C functions of types only known at runtime to be
called from Haskell.
Comment 1 Jens Petersen 2013-07-01 09:14:11 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5561742
Comment 2 Ricky Elrod 2013-07-01 13:26:26 EDT
Just one thing, fix the Requires on the -devel subpackage.

I will approve when that is fixed. :)

Package Review

[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


(This is ignorable: https://fedoraproject.org/wiki/Packaging:Haskell#Static_vs._Dynamic_Linking)
- Static libraries in -static subpackage, if present.
  Note: Archive *.a files found in ghc-libffi-devel

- Specify a fully versioned dependency in -devel:

===== MUST items =====

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ghc-libffi-
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macros (instead of hard-coded directory
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

[x]: Large data in /usr/share should live in a noarch subpackage if package is
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Checking: ghc-libffi-0.1-1.fc20.x86_64.rpm
ghc-libffi.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Rpmlint (installed packages)
# rpmlint ghc-libffi-devel ghc-libffi
ghc-libffi.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

ghc-libffi-devel (rpmlib, GLIBC filtered):

ghc-libffi (rpmlib, GLIBC filtered):



Unversioned so-files
ghc-libffi: /usr/lib64/ghc-7.6.3/libffi-0.1/libHSlibffi-0.1-ghc7.6.3.so

Source checksums
http://hackage.haskell.org/packages/archive/libffi/0.1/libffi-0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 48387067c0f33bcfadf7a3bebbf48a55294202500f2b754229ffc8f12cb4f23c
  CHECKSUM(SHA256) upstream package : 48387067c0f33bcfadf7a3bebbf48a55294202500f2b754229ffc8f12cb4f23c

Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 980123
Comment 3 Jens Petersen 2013-07-02 00:05:40 EDT
Thanks for reviewing: the missing _isa is fixed also in cabal-rpm-0.8.2.

Spec: http://petersen.fedorapeople.org/reviews/ghc-libffi/ghc-libffi.spec
SRPM: http://petersen.fedorapeople.org/reviews/ghc-libffi/ghc-libffi-0.1-2.fc19.src.rpm
Comment 4 Ricky Elrod 2013-07-04 02:42:27 EDT
Looks good now. APPROVED.
Comment 5 Jens Petersen 2013-07-04 06:25:46 EDT
Thanks a lot, Ricky

New Package SCM Request
Package Name: ghc-libffi
Short Description: Haskell binding to libffi
Owners: petersen
Branches: f18 f19 el6
InitialCC: haskell-sig
Comment 6 Jens Petersen 2013-07-04 21:30:29 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-07-04 23:57:55 EDT
ghc-libffi-0.1-2.fc18 has been submitted as an update for Fedora 18.
Comment 8 Fedora Update System 2013-07-04 23:58:08 EDT
ghc-libffi-0.1-2.fc19 has been submitted as an update for Fedora 19.
Comment 9 Fedora Update System 2013-07-05 20:53:00 EDT
Package ghc-libffi-0.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-libffi-0.1-2.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-07-16 23:05:33 EDT
ghc-libffi-0.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-07-16 23:08:04 EDT
ghc-libffi-0.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.